Update an account
Updates the specified account by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts mostly the same arguments as the account creation call.
Returns the updated account.
- Type: integerFormat: int32idrequired
The ID of the account to update.
Update an account
- Type: stringalias
Switches the account to send from the given OAuth alias. Must already be listed in
GET /accounts/{id}/aliases. - Type: booleanalive
If true, the account is active and warming can run. If false, the account is paused.
- Type: booleanautopilot
If true, MailReach will automatically select the best warming recipe for the account.
- Type: integerFormat: int32config
_max _conversation _running min:0max:35Maximum number of warming conversations that can run in parallel.
- Type: integerFormat: int32config
_rampup _increase min:0max:5Number of additional warming conversations added each day until
config_rampup_targetis reached. - Type: integerFormat: int32config
_rampup _target min:3max:35Maximum number of warming conversations per day once the rampup is complete. Must be between 3 and 35.
- Type: booleanconfig
_smtp _append _after _sent If true, MailReach will append sent messages to the Sent folder over SMTP.
- Type: stringdesc
Free-form description of the account.
- Type: stringfirst
_name First name of the mailbox owner.
- Type: booleanimap
_issue Flags the account as having an IMAP issue. Switches the account to SMTP-only mode.
- Type: stringlast
_name Last name of the mailbox owner.
- Type: stringsignature
HTML signature appended to outgoing warming emails.
Update an account
- application/json
- application/json
- application/json
curl http://api.mailreach.co/api/v1/accounts/1234 \
--request POST \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: YOUR_SECRET_TOKEN' \
--data '{
"config_rampup_target": 25,
"config_rampup_increase": 2,
"config_max_conversation_running": 10,
"time_zone": "Paris",
"signature": "Best,<br/>John Doe",
"first_name": "John",
"last_name": "Doe",
"alive": true,
"autopilot": true,
"imap_issue": true,
"config_smtp_append_after_sent": true,
"desc": "Primary sales mailbox",
"alias": "john.doe@acme.com"
}'
{
"id": 1234,
"created_at": "2026-02-14T09:30:00.000Z",
"email": "john@acme.com",
"first_name": "John",
"last_name": "Doe",
"provider": "gmail",
"alive": true,
"suspended": false,
"warming_enabled": true,
"spamchecker_enabled": false,
"score": 92,
"score_gmail": 95,
"score_outlook": 88,
"score_custom": 91,
"total_messages_sent": 1240,
"total_messages_received": 1187,
"config_rampup_target": 25,
"config_rampup_increase": 2,
"config_max_conversation_running": 10,
"config_current_conversation_running": 8,
"config_smtp_append_after_sent": true,
"time_zone": "Europe/Paris",
"autopilot": true,
"copilot_enabled": false,
"has_refresh_token": true,
"has_notifications": false,
"imap_issue": false,
"current_warming_recipe": "default",
"detected_sending_provider": "google",
"sending_reverse_dns_value": "mail-sor-f41.google.com",
"sending_ip": "209.85.220.41",
"signature": "Best,<br/>John Doe",
"tags": [
{
"id": 7,
"name": "sales-team"
}
],
"domain": {
"id": 1041,
"created_at": "2021-06-24T16:38:44.425Z",
"updated_at": "2026-04-23T20:06:02.847Z",
"domain": "acme.com",
"creation_date": "2021-06-23T14:11:34.000Z",
"last_check_at": "2026-04-20T23:46:39.081Z",
"spf_valid": true,
"spf_value": "v=spf1 include:spf.protection.outlook.com -all",
"dkim_valid": true,
"dkim_selector": "20251104",
"dkim_value": "",
"dmarc_valid": true,
"dmarc_value": "v=DMARC1; p=none; rua=mailto:postmaster@acme.com",
"domain_http_response": false,
"domain_https": false,
"avg_score": 99,
"expire_at": "2026-06-23T14:11:34.000Z",
"score_change": 0.75,
"mx_records": [
[
"acme-com.mail.protection.outlook.com",
"52.101.166.1",
"0"
]
]
}
}